import { useLocation } from "react-router-dom";

const TopBar = () => {
  const location = useLocation();

  // Map the paths to their respective titles
  const pageTitles = {
    "/dashboard": "Admin Dashboard",
    "/add-agent": "Add Agent",
    "/users": "Manage Users",
    "/settings": "Settings",
  };

  // Get the title based on the path, fallback to "Dashboard"
  const title = pageTitles[location.pathname] || "Dashboard";

  return (
    <div className="p-4">
     <div className="flex justify-between items-center px-10 py-10 bg-white rounded-2xl shadow-md w-[100%] h-[10vh] mx-auto">

        <h1 className="text-xl font-semibold text-teal-700">{title}</h1>
        <div className="flex items-center gap-2">
          <img src="/assets/chillguy-gID_7.webp" alt="Admin Icon" className="w-6 h-6 rounded-lg" />
          <span className="text-gray-800 font-medium">Admin</span>
        </div>
      </div>
    </div>
  );
};

export default TopBar;
