import React, { useEffect } from "react";
import { useNavigate } from "react-router-dom";
import axios from "axios";
import Sidebar from "./Sidebar";
import Topbar from "./Topbar";
const API_BASE_URL = "http://localhost:5000";

const AddAgent = () => {
  const navigate = useNavigate();

  useEffect(() => {
    const checkSession = async () => {
      try {
        await axios.get(`${API_BASE_URL}/api/auth/session`, { withCredentials: true });
      } catch (error) {
        console.log("Session expired. Logging out...");
        navigate("/");
      }
    };


    const interval = setInterval(checkSession, 60000);

    return () => clearInterval(interval); 
  }, [navigate]);

  // Handle logout
  {/*
  const handleLogout = async () => {
    try {
      await axios.post(`${API_BASE_URL}/api/auth/logout`, {}, { withCredentials: true });
      navigate("/");
    } catch (err) {
      console.error("Logout failed:", err);
    }
  };*/}

  return (
    <div className="flex h-screen bg-[#CCF2EC]">
    {/* Sidebar */}
    <Sidebar />
    {/* Main Content */}
          <div className="flex-1 flex flex-col">
            {/* Top Navbar */}
            <Topbar />
            </div>
  </div>
  );
};

export default AddAgent;